Resource Center/Resource Pool/Disk Offering Operations
POSTDisk Offering OperationsSince 0.6SynchronousAuth Required
CreateDiskOffering
CreateDiskOffering
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
diskSizelongRequiredThe volume size.
sortKeyintOptional. The sort key.
allocationStrategyStringOptional. The allocation strategy.
typeStringOptional. The type.
resourceUuidStringOptional. The resource UUID.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/disk-offerings
/zstack/v1/disk-offerings
Request Example
curl -X POST 'http://{host}/zstack/v1/disk-offerings' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","diskSize":1,"sortKey":1,"allocationStrategy":"<allocationStrategy>","type":"<type>","resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "e7a865815cd34dd29812d335dc1019bf", "name": "diskOffering1", "diskSize": 100.0, "state": "Enabled", "type": "DefaultDiskOfferingType", "allocatorStrategy": "DefaultPrimaryStorageAllocationStrategy" } }Change History
This API has no change history records yet.
